Subject: Re: [PATCH net-2.6] sundance: Fix oopses with corrupted skb_shared_info

From: Jarek Poplawski <[email-masked]>
Date: Sun, 26 Dec 2010 12:01:01 +0100

On Sat, Dec 25, 2010 at 07:42:10PM -0800, David Miller wrote:
> From: Jarek Poplawski <[email-masked]>
> Date: Sat, 25 Dec 2010 16:12:17 +0100
> 
> > [PATCH net-2.6] sundance: Fix oopses with corrupted skb_shared_info
> > 
> > Joel Soete reported oopses at the beginning of pppoe connections since
> > v2.6.35. After debugging the bug was found in sundance skb allocation
> > and dma mapping code, where skb_reserve() bytes aren't taken into
> > account. This is an old bug, only uncovered by some change in 2.6.35.
> > 
> > Initial debugging patch by: Eric Dumazet <[email-masked]>
> > 
> > Reported-by: Joel Soete <[email-masked]>
> > Tested-by: Joel Soete <[email-masked]>
> > Signed-off-by: Jarek Poplawski <[email-masked]>
> > Cc: Eric Dumazet <[email-masked]>
> 
> Applied, great work Jarek.
> 
> I was auditing ppp_generic.c hoping I'd find something, but
> if I had that backtrace I wouldn't have bothered :-)

Yes, with the backtrace it was a piece of cake :-) If I knew you're
interested... Anyway, I append a little bit for the record.

Thanks,
Jarek P.